# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "poem-mcpserver"
version = "0.2.5"
authors = ["sunli <scott_s829@163.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "MCP Server implementation for Poem"
homepage = "https://github.com/poem-web/poem"
documentation = "https://docs.rs/poem/"
readme = "README.md"
keywords = [
    "framework",
    "async",
    "mcp",
    "ai",
]
categories = [
    "network-programming",
    "asynchronous",
    "web-programming::http-server",
    "web-programming::websocket",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/poem-web/poem"
resolver = "2"

[package.metadata.docs.rs]
all-features = true
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[features]
streamable-http = ["dep:poem"]

[lib]
name = "poem_mcpserver"
path = "src/lib.rs"

[[test]]
name = "tools"
path = "tests/tools.rs"

[dependencies.async-stream]
version = "0.3.6"

[dependencies.base64]
version = "0.22.0"

[dependencies.itertools]
version = "0.14.0"

[dependencies.mime]
version = "0.3.16"

[dependencies.pin-project-lite]
version = "0.2.16"

[dependencies.poem]
version = "3.1.12"
features = ["sse"]
optional = true
default-features = false

[dependencies.poem-mcpserver-macros]
version = "0.2.4"

[dependencies.rand]
version = "0.9.0"

[dependencies.schemars]
version = "1.0"

[dependencies.serde]
version = "1.0.130"
features = [
    "derive",
    "derive",
]

[dependencies.serde_json]
version = "1.0.68"

[dependencies.time]
version = "0.3.39"
features = [
    "macros",
    "formatting",
    "parsing",
]

[dependencies.tokio]
version = "1.39.1"
features = [
    "io-std",
    "io-util",
    "rt",
    "net",
]

[dependencies.tokio-stream]
version = "0.1.8"

[dependencies.tracing]
version = "0.1.36"

[dev-dependencies.tokio]
version = "1.39.1"
features = [
    "macros",
    "rt-multi-thread",
]
